Package org.drinkless.tdlib

# Class TdApi.MessageAnimatedEmoji

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.MessageContent
org.drinkless.tdlib.TdApi.MessageAnimatedEmoji

Enclosing class:
  TdApi

public static class TdApi.MessageAnimatedEmoji extends TdApi.MessageContent
A message with an animated emoji.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.MessageContent

  `TdApi.MessageContent.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `TdApi.AnimatedEmoji`
  `animatedEmoji`
  The animated emoji.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `String`
  `emoji`
  The corresponding emoji.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MessageAnimatedEmoji()`
  A message with an animated emoji.
  `MessageAnimatedEmoji(TdApi.AnimatedEmoji animatedEmoji, String emoji)`
  A message with an animated emoji.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### animatedEmoji

    public TdApi.AnimatedEmoji animatedEmoji
    The animated emoji.

  - ### emoji

    public String emoji
    The corresponding emoji.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### MessageAnimatedEmoji

    public MessageAnimatedEmoji()
    A message with an animated emoji.

  - ### MessageAnimatedEmoji

    public MessageAnimatedEmoji(TdApi.AnimatedEmoji animatedEmoji, String emoji)
    A message with an animated emoji.
    Parameters:
      `animatedEmoji` - The animated emoji.
      `emoji` - The corresponding emoji.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.MessageContent`
    Returns:
      this.CONSTRUCTOR